Package org.apache.sysds.parser.dml

## Class CustomErrorListener.ParseIssue

- java.lang.Object
- - org.apache.sysds.parser.dml.CustomErrorListener.ParseIssue

- All Implemented Interfaces:
    `Comparable<CustomErrorListener.ParseIssue>`
  Enclosing class:
    CustomErrorListener

      public class CustomErrorListener.ParseIssue
      extends Object
      implements Comparable<CustomErrorListener.ParseIssue>

  A parse issue (such as an parse error or a parse warning).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParseIssue​(int line, int charPositionInLine, String message, String fileName, CustomErrorListener.ParseIssueType parseIssueType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(CustomErrorListener.ParseIssue that)` | Order by parse issues primarily by line number, and secondarily by character position.
    `int` | `getCharPositionInLine()` | Obtain character position of the parse issue.
    `String` | `getFileName()` | Obtain the filename of the script containing the parse issue, if available.
    `int` | `getLine()` | Obtain line number of the parse issue.
    `String` | `getMessage()` | Obtain the message describing the parse issue.
    `CustomErrorListener.ParseIssueType` | `getParseIssueType()` | Obtain the type of the parse issue.
    `void` | `setCharPositionInLine​(int charPositionInLine)` |
    `void` | `setFileName​(String fileName)` |
    `void` | `setLine​(int line)` |
    `void` | `setMessage​(String message)` |
    `void` | `setParseIssueType​(CustomErrorListener.ParseIssueType parseIssueType)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseIssue

          public ParseIssue​(int line,
                            int charPositionInLine,
                            String message,
                            String fileName,
                            CustomErrorListener.ParseIssueType parseIssueType)

  - ### Method Detail

    - #### getLine

          public int getLine()

      Obtain line number of the parse issue.
      Returns:
        Line number of the parse issue

    - #### setLine

          public void setLine​(int line)

    - #### getCharPositionInLine

          public int getCharPositionInLine()

      Obtain character position of the parse issue.
      Returns:
        Character position of the parse issue

    - #### setCharPositionInLine

          public void setCharPositionInLine​(int charPositionInLine)

    - #### getMessage

          public String getMessage()

      Obtain the message describing the parse issue.
      Returns:
        Message describing the parse issue

    - #### setMessage

          public void setMessage​(String message)

    - #### getFileName

          public String getFileName()

      Obtain the filename of the script containing the parse issue, if available.
      Returns:
        The filename of the script contain the parse issue (if available)

    - #### setFileName

          public void setFileName​(String fileName)

    - #### getParseIssueType

          public CustomErrorListener.ParseIssueType getParseIssueType()

      Obtain the type of the parse issue.
      Returns:
        The type of the parse issue.

    - #### setParseIssueType

          public void setParseIssueType​(CustomErrorListener.ParseIssueType parseIssueType)

    - #### compareTo

          public int compareTo​(CustomErrorListener.ParseIssue that)

      Order by parse issues primarily by line number, and secondarily by character position.
      Specified by:
        `compareTo` in interface `Comparable<CustomErrorListener.ParseIssue>`